# Figli Drupal 8 Starterkit Profile


## install

### install drupal with composer
```
cd public_html
composer create-project drupal/drupal .
```

### clone this profile into profiles folder
```
cd profiles
git clone -o figli https://figureslibres.io/gogs/bachir/d8-starterkit-profile.git
```

### include the profile's composer file to the main drupal's composer file
in composer.js replace
```
"merge-plugin": {
    "include": [
        "core/composer.json"
    ],
    "recurse": true,
    "replace": false,
    "merge-extra": false
}
```
by
```
"merge-plugin": {
    "include": [
        "core/composer.json",
        "profiles/d8-starterkit-profile/composer.json"
    ],
    "recurse": true,
    "replace": false,
    "merge-extra": true
}
```

### install dependencies with composer
```
cd ../
composer update
```

### sites/default setup
```
mkdir -p sites/default/files
cp sites/default/default.settings.php sites/default/settings.php
chgrp -R www-data sites/default/files
chgrp -R www-data sites/default/settings.php
chmod g+r sites/default/files
chmod g+r sites/default/settings.php
```

### run drupal install as usual
by accessing your site and choosing the figli_starter_kit profile 
